org.eclipse.microprofile.reactive.streams.operators.tck.api

## Class PublisherBuilderVerification

- java.lang.Object
- - org.eclipse.microprofile.reactive.streams.operators.tck.api.AbstractReactiveStreamsApiVerification
  - - org.eclipse.microprofile.reactive.streams.operators.tck.api.PublisherBuilderVerification

    public class PublisherBuilderVerification
    extends AbstractReactiveStreamsApiVerification

Verification for the `PublisherBuilder` class.

### Field Summary

### Fields inherited from class org.eclipse.microprofile.reactive.streams.operators.tck.api.AbstractReactiveStreamsApiVerification

`rs`

### Constructor Summary

Constructors
Constructor and Description
`PublisherBuilderVerification(ReactiveStreamsFactory rs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `builderShouldBeImmutable()`
`void` `buildRs()`
`void` `buildRsNull()`
`void` `cancel()`
`void` `collect()`
`void` `collectComponents()`
`void` `collectComponentsAccumulatorNull()`
`void` `collectComponentsSupplierNull()`
`void` `collectNull()`
`void` `distinct()`
`void` `dropWhile()`
`void` `dropWhileNullPredicate()`
`void` `filter()`
`void` `filterNullPredicate()`
`void` `findFirst()`
`void` `flatMap()`
`void` `flatMapCompletionStage()`
`void` `flatMapCompletionStageNullMapper()`
`void` `flatMapIterable()`
`void` `flatMapIterableNullMapper()`
`void` `flatMapNullMapper()`
`void` `flatMapRsPublisher()`
`void` `flatMapRsPublisherNullMapper()`
`void` `flatMapToBuilderFromDifferentReactiveStreamsImplementation()`
`void` `forEach()`
`void` `forEachNullConsumer()`
`void` `ignore()`
`void` `limit()`
`void` `limitNegative()`
`void` `map()`
`void` `mapNullFunction()`
`void` `onComplete()`
`void` `onCompleteNull()`
`void` `onError()`
`void` `onErrorNullConsumer()`
`void` `onErrorResume()`
`void` `onErrorResumeNull()`
`void` `onErrorResumeWith()`
`void` `onErrorResumeWithNull()`
`void` `onErrorResumeWithRsPublisher()`
`void` `onErrorResumeWithRsPublisherNull()`
`void` `onErrorResumeWithToBuilderFromDifferentReactiveStreamsImplementation()`
`void` `onTerminate()`
`void` `onTerminateNull()`
`void` `peek()`
`void` `peekNullConsumer()`
`void` `reduce()`
`void` `reduceNullAccumulator()`
`void` `reduceWithIdentity()`
`void` `reduceWithIdentityNullAccumulator()`
`void` `reduceWithIdentityNullIdentityAllowed()`
`void` `skip()`
`void` `skipNegative()`
`void` `takeWhile()`
`void` `takeWhileNullPredicate()`
`void` `to()`
`void` `toBuilderFromDifferentReactiveStreamsImplementation()`
`void` `toList()`
`void` `toMultipleStages()`
`void` `toNull()`
`void` `toSubscriber()`
`void` `toSubscriberNull()`
`void` `via()`
`void` `viaBuilderFromDifferentReactiveStreamsImplementation()`
`void` `viaEmpty()`
`void` `viaMultipleStages()`
`void` `viaNull()`
`void` `viaProcessor()`
`void` `viaProcessorNull()`

### Methods inherited from class org.eclipse.microprofile.reactive.streams.operators.tck.api.AbstractReactiveStreamsApiVerification

`assertEmptyStage, graphFor, graphFor, graphFor, graphFor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PublisherBuilderVerification

    public PublisherBuilderVerification(ReactiveStreamsFactory rs)

### Method Detail

#### map

    public void map()

#### mapNullFunction

    public void mapNullFunction()

#### peek

    public void peek()

#### peekNullConsumer

    public void peekNullConsumer()

#### filter

    public void filter()

#### filterNullPredicate

    public void filterNullPredicate()

#### distinct

    public void distinct()

#### flatMap

    public void flatMap()

#### flatMapToBuilderFromDifferentReactiveStreamsImplementation

    public void flatMapToBuilderFromDifferentReactiveStreamsImplementation()

#### flatMapNullMapper

    public void flatMapNullMapper()

#### flatMapRsPublisher

    public void flatMapRsPublisher()

#### flatMapRsPublisherNullMapper

    public void flatMapRsPublisherNullMapper()

#### flatMapCompletionStage

    public void flatMapCompletionStage()
                                throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### flatMapCompletionStageNullMapper

    public void flatMapCompletionStageNullMapper()

#### flatMapIterable

    public void flatMapIterable()

#### flatMapIterableNullMapper

    public void flatMapIterableNullMapper()

#### limit

    public void limit()

#### limitNegative

    public void limitNegative()

#### skip

    public void skip()

#### skipNegative

    public void skipNegative()

#### takeWhile

    public void takeWhile()

#### takeWhileNullPredicate

    public void takeWhileNullPredicate()

#### dropWhile

    public void dropWhile()

#### dropWhileNullPredicate

    public void dropWhileNullPredicate()

#### forEach

    public void forEach()

#### forEachNullConsumer

    public void forEachNullConsumer()

#### ignore

    public void ignore()

#### cancel

    public void cancel()

#### reduceWithIdentity

    public void reduceWithIdentity()

#### reduceWithIdentityNullIdentityAllowed

    public void reduceWithIdentityNullIdentityAllowed()

#### reduceWithIdentityNullAccumulator

    public void reduceWithIdentityNullAccumulator()

#### reduce

    public void reduce()

#### reduceNullAccumulator

    public void reduceNullAccumulator()

#### findFirst

    public void findFirst()

#### collect

    public void collect()

#### collectNull

    public void collectNull()

#### collectComponents

    public void collectComponents()

#### collectComponentsSupplierNull

    public void collectComponentsSupplierNull()

#### collectComponentsAccumulatorNull

    public void collectComponentsAccumulatorNull()

#### toList

    public void toList()

#### toSubscriber

    public void toSubscriber()

#### toSubscriberNull

    public void toSubscriberNull()

#### to

    public void to()

#### toBuilderFromDifferentReactiveStreamsImplementation

    public void toBuilderFromDifferentReactiveStreamsImplementation()

#### toMultipleStages

    public void toMultipleStages()

#### toNull

    public void toNull()

#### viaProcessor

    public void viaProcessor()

#### viaProcessorNull

    public void viaProcessorNull()

#### via

    public void via()

#### viaBuilderFromDifferentReactiveStreamsImplementation

    public void viaBuilderFromDifferentReactiveStreamsImplementation()

#### viaEmpty

    public void viaEmpty()

#### viaMultipleStages

    public void viaMultipleStages()

#### viaNull

    public void viaNull()

#### onError

    public void onError()

#### onErrorNullConsumer

    public void onErrorNullConsumer()

#### onErrorResume

    public void onErrorResume()

#### onErrorResumeNull

    public void onErrorResumeNull()

#### onErrorResumeWith

    public void onErrorResumeWith()

#### onErrorResumeWithToBuilderFromDifferentReactiveStreamsImplementation

    public void onErrorResumeWithToBuilderFromDifferentReactiveStreamsImplementation()

#### onErrorResumeWithNull

    public void onErrorResumeWithNull()

#### onErrorResumeWithRsPublisher

    public void onErrorResumeWithRsPublisher()

#### onErrorResumeWithRsPublisherNull

    public void onErrorResumeWithRsPublisherNull()

#### onTerminate

    public void onTerminate()

#### onTerminateNull

    public void onTerminateNull()

#### onComplete

    public void onComplete()

#### onCompleteNull

    public void onCompleteNull()

#### buildRs

    public void buildRs()

#### buildRsNull

    public void buildRsNull()

#### builderShouldBeImmutable

    public void builderShouldBeImmutable()